package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.PoliceDto;
import com.junmp.jyzb.api.bean.dto.PolicemanDto;
import com.junmp.jyzb.api.bean.query.PolicemanReq;
import com.junmp.jyzb.api.bean.req.UpdatePolicemanReq;
import com.junmp.jyzb.entity.Policeman;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;

public interface PolicemanService extends IService<Policeman> {

    //获取单个警员信息
    PolicemanDto GetOnePolice(PolicemanReq req);


    //获取单个警员信息
    PolicemanDto GetOnePolice(PolicemanReq req);


    //修改警员信息
    boolean UpdatePolice(UpdatePolicemanReq req);



    boolean AddFaceInfo(UpdatePolicemanReq req);


    //修改警员状态
    boolean ChangePoliceState(UpdatePolicemanReq req);


    //通过组织机构id查询警员列表
    PoliceDto GetAllPolicemanList(Long orgId);


    //根据单警柜id查询警员列表
    PoliceDto GetPoliceData(String id);

    boolean UpdateFaceInfo(UpdatePolicemanReq req);

    Policeman SearchFaceInfo(PolicemanReq req);


    boolean PoliceBindUser(PolicemanReq req);

    boolean PoliceBindBox(PolicemanReq req);


}

    Policeman SearchFaceInfo(PolicemanReq req);



    boolean PoliceBindUser(PolicemanReq req);

    boolean PoliceBindBox(PolicemanReq req);


}
